net.corda.node.driver

## Class NodeHandle

- net.corda.node.driver.NodeHandle

-     public class NodeHandle

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeHandle(NodeInfo nodeInfo, CordaRPCOps rpc, FullNodeConfiguration configuration, java.lang.Process process)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `NodeInfo` | `component1()`
    `CordaRPCOps` | `component2()`
    `FullNodeConfiguration` | `component3()`
    `java.lang.Process` | `component4()`
    `NodeHandle` | `copy(NodeInfo nodeInfo, CordaRPCOps rpc, FullNodeConfiguration configuration, java.lang.Process process)`
    `boolean` | `equals(java.lang.Object p)`
    `FullNodeConfiguration` | `getConfiguration()`
    `NodeInfo` | `getNodeInfo()`
    `java.lang.Process` | `getProcess()`
    `CordaRPCOps` | `getRpc()`
    `int` | `hashCode()`
    `CordaRPCClient` | `rpcClientToNode()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### NodeHandle

          public NodeHandle(NodeInfo nodeInfo,
                            CordaRPCOps rpc,
                            FullNodeConfiguration configuration,
                            java.lang.Process process)

  - ### Method Detail

    - #### rpcClientToNode

          public CordaRPCClient rpcClientToNode()

    - #### getNodeInfo

          public NodeInfo getNodeInfo()

    - #### getRpc

          public CordaRPCOps getRpc()

    - #### getConfiguration

          public FullNodeConfiguration getConfiguration()

    - #### getProcess

          public java.lang.Process getProcess()

    - #### component1

          public NodeInfo component1()

    - #### component2

          public CordaRPCOps component2()

    - #### component3

          public FullNodeConfiguration component3()

    - #### component4

          public java.lang.Process component4()

    - #### copy

          public NodeHandle copy(NodeInfo nodeInfo,
                                 CordaRPCOps rpc,
                                 FullNodeConfiguration configuration,
                                 java.lang.Process process)

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)